net.sf.jasperreports.engine.query

## Class ParameterTypeSelectorClauseFunction

- java.lang.Object
- - net.sf.jasperreports.engine.query.ParameterTypeSelectorClauseFunction

- All Implemented Interfaces:
    JRClauseFunction

      public class ParameterTypeSelectorClauseFunction
      extends java.lang.Object
      implements JRClauseFunction

  Version:
    $Id: ParameterTypeSelectorClauseFunction.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterTypeSelectorClauseFunction(int... parameterPositions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(JRClauseTokens clauseTokens, JRQueryClauseContext queryContext)` Handles a query clause chunk.
    `protected java.lang.Class<?>` | `determineParameterType(JRClauseTokens clauseTokens, JRQueryClauseContext queryContext, int parameterPosition)`
    `protected java.lang.Class<?>` | `findSupportedType(java.util.Collection<java.lang.Class<?>> supportedTypes, java.lang.Class<?> parameterType)`
    `protected java.util.List<java.lang.Class<?>>` | `findSupportedTypes(ParameterTypesClauseFunction typesFunction, java.util.List<java.lang.Class<?>> parameterTypes)`
    `protected java.util.Map<java.lang.Object,JRClauseFunction>` | `getCache(JRQueryClauseContext queryContext)`
    `protected JRClauseFunction` | `getForParameterTypes(JRClauseTokens clauseTokens, JRQueryClauseContext queryContext, java.util.List<java.lang.Class<?>> parameterTypes)`
    `protected java.lang.Object` | `parameterTypesFunctionCacheKey(JRClauseTokens clauseTokens, JRQueryClauseContext queryContext, java.util.List<java.lang.Class<?>> parameterTypes)`
    `protected JRClauseFunction` | `selectForParameterTypes(JRClauseTokens clauseTokens, JRQueryClauseContext queryContext, java.util.List<java.lang.Class<?>> parameterTypes)`
    `protected JRClauseFunction` | `selectFromCandidates(java.util.List<Pair<java.util.List<java.lang.Class<?>>,JRClauseFunction>> candidateFunctions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterTypeSelectorClauseFunction

          public ParameterTypeSelectorClauseFunction(int... parameterPositions)

  - ### Method Detail

    - #### apply

          public void apply(JRClauseTokens clauseTokens,
                   JRQueryClauseContext queryContext)

      Description copied from interface: `JRClauseFunction`
      Handles a query clause chunk.
      Specified by:
        `apply` in interface `JRClauseFunction`
      Parameters:
        `clauseTokens` - the clause tokens
        `queryContext` - the query context

    - #### determineParameterType

          protected java.lang.Class<?> determineParameterType(JRClauseTokens clauseTokens,
                                                  JRQueryClauseContext queryContext,
                                                  int parameterPosition)

    - #### getForParameterTypes

          protected JRClauseFunction getForParameterTypes(JRClauseTokens clauseTokens,
                                              JRQueryClauseContext queryContext,
                                              java.util.List<java.lang.Class<?>> parameterTypes)

    - #### getCache

          protected java.util.Map<java.lang.Object,JRClauseFunction> getCache(JRQueryClauseContext queryContext)

    - #### parameterTypesFunctionCacheKey

          protected java.lang.Object parameterTypesFunctionCacheKey(JRClauseTokens clauseTokens,
                                                        JRQueryClauseContext queryContext,
                                                        java.util.List<java.lang.Class<?>> parameterTypes)

    - #### selectForParameterTypes

          protected JRClauseFunction selectForParameterTypes(JRClauseTokens clauseTokens,
                                                 JRQueryClauseContext queryContext,
                                                 java.util.List<java.lang.Class<?>> parameterTypes)

    - #### selectFromCandidates

          protected JRClauseFunction selectFromCandidates(java.util.List<Pair<java.util.List<java.lang.Class<?>>,JRClauseFunction>> candidateFunctions)

    - #### findSupportedTypes

          protected java.util.List<java.lang.Class<?>> findSupportedTypes(ParameterTypesClauseFunction typesFunction,
                                                              java.util.List<java.lang.Class<?>> parameterTypes)

    - #### findSupportedType

          protected java.lang.Class<?> findSupportedType(java.util.Collection<java.lang.Class<?>> supportedTypes,
                                             java.lang.Class<?> parameterType)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com